package ca.medavie.test.dataexporter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;

@ManagedBean
@CustomScoped("#{window}")
public class DataExporterBean implements Serializable {

    private static final long serialVersionUID = 7868002350880255472L;
    private String desc = "";
    private List<Car> carsData;
    private int number = 0;

    @PostConstruct
    public void init() {
        desc = "" + this + ", created at " + new Date();

        carsData = new ArrayList<Car>();
        carsData.add(new Car("001", "name 1"));
        carsData.add(new Car("002", "name 2"));
        carsData.add(new Car("003", "Quantit�"));
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public List<Car> getCarsData() {
        return carsData;
    }

    public void setCarsData(List<Car> carsData) {
        this.carsData = carsData;
    }

    public String inc() {
        number++;
        return null;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

}
